﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v13.2, Version=13.2.20132.2028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
    <script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js" type="text/javascript"></script>
    <script src="https://raw.github.com/BorisMoore/jquery-tmpl/master/jquery.tmpl.js" type="text/javascript"></script>

    <script type="text/javascript">
        var data = [
                        {
                            Species: "Mamels"
                        },
                        {
                            Species: "Camel"
                        },
                        {
                            Species: "Lion"
                        },
                        {
                            Species: "Whale"
                        },
                        {
                            Species: "Walrus"
                        },
                        {
                            Species: "Dinosaurs"
                        },
                        {
                            Species: "Velociraptor"
                        },
                        {
                            Species: "Allosaurus"
                        },
                        {
                            Species: "Triceratops"
                        },
                        {
                            Species: "Stegosauros"
                        },
                        {
                            Species: "Tyranosaurus"
                        }

        ];

        function onDataBind(sender, eventArgs) {
            eventArgs.set_cancel(true);
            sender._pi.show(sender);
            var dataSource = data;
            sender.set_dataSource(dataSource);
            sender.set_template(MyTemplate);
            setTimeout(function () {
                sender.dataBind();
                sender._pi.hide(sender);
                sender.set_currentValue("");
            }, 500);
        }
    </script>
    <script id="MyTemplate" type="text/x-jquery-tmpl">
        {{if (Species == "Mamels") || (Species == "Dinosaurs") }}
            <li><i><b>${Species}</b></i></li>
        {{else}}
            <li>${Species}</li>
        {{/if}}
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <ig:WebDropDown ID="WebDropDown1" runat="server" Width="200px" EnableClientRendering="true"
                DropDownContainerMaxHeight="200" EnableDropDownAsChild="false" CurrentValue="" 
                EnableCustomValues="true" TextField="Data"
                ClientEvents-DataBinding="onDataBind" DisplayMode="DropDown">
            </ig:WebDropDown>
        </div>
    </form>
</body>
</html>
